# Uses of Interface
org.eclipse.ui.navigator.ICommonFilterDescriptor

Packages that use ICommonFilterDescriptor
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of ICommonFilterDescriptor in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return ICommonFilterDescriptor
Modifier and Type
Method
Description
`ICommonFilterDescriptor[]`
INavigatorFilterService.`getVisibleFilterDescriptors()`
Visible filters are filters whose ids match a viewerContentBinding for the corresponding viewer.
Methods in org.eclipse.ui.navigator with parameters of type ICommonFilterDescriptor
Modifier and Type
Method
Description
`ViewerFilter`
INavigatorFilterService.`getViewerFilter(ICommonFilterDescriptor theDescriptor)`
Return the viewer filter for the given descriptor